Summary:	A lightweight BibTeX editor developed for the Xfce desktop environment
Summary(de):	Ein BibTeX Editor für Xfce
Name:		xfbib
Version:	0.1.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://goodies.xfce.org/projects/applications/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	%{_lib}xfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	glib2-devel
BuildRequires:	pango-devel
BuildRequires:	cairo-devel
BuildRequires:	atk-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfbib is a lightweight BibTeX editor developed for the Xfce.
The intentions of Xfbib is to provide an easy and efficient 
way of editing BibTeX files.

%description -l de
Xfbib ist ein leichtgewichtiger BibTeX Editor der für Xfce entwickelt wurde.
Sein Anliegen ist es einen einfachen und effizienten Weg zum Bearbeiten
von BibTeX-Dateien zu bieten.

%prep
%setup -q

%build
sh autogen.sh
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor


%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%name/xfbib-*.png
%{_datadir}/locale/*


%changelog
* Tue Jun 06 2017 threepio <threepio> 0.1.0-2uplos2017
- rebuild for uplos

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 0.1.0-2pclos2015
- rebuild against new libxfce4util7
- add missing BR libxfce4util-devel

* Mon Feb 03 2014 ghostbunny <ghostbunny at gmx dot de> 0.1.0-1pclos2014
- 0.1.0
- fix BRs xfcegui was replace by xfce4ui

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.0.2-5pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.0.2-5pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 0.0.2-5pclos2012
- rebuild against new libxfce4util
- added german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.0.2-4pclos2012
- rebuild

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.0.2-3pclos2010
- updated for xfce4.8

* Sun Oct 24 2010 Sproggy <desproggster@gmail.com> 0.0.2-1pclos2010
- initial build for PCLOS xfce4.8pre1
